Microsoft Azure Service Bus Anypoint&trade; Connector Demo - Send/Receive/ACK a Message
=================================================================

## Introduction

The present demo application provides a **complete workflow** to send a message to a queue, receive and ACK.

## Prerequisites

* Java 8
* Anypoint Studio 6.x
* Mule Runtime 3.7.x EE or higher
* DataWeave
* Microsoft Azure ServiceBus instance & credentials

## Deploy Demo

### Create a queue in Azure Portal

* Create a new queue for testing purpose on Azure Portal with [these instructions.](https://docs.microsoft.com/en-us/azure/service-bus-messaging/service-bus-dotnet-get-started-with-queues)

### Import the project

* Go to **File > Import**.
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio").
* Provide the root **path to the demo** project folder.
* Select **Mule Runtime (3.8.2 EE)**.
* Click **Finish**.
* Fill **Azure Credentials and the queue name created in the previous step** on mule-app.properties file located in src/main/app.
* Open the **Global Element Configuration**.
* Click the **Test Connection** button to ensure there is connectivity with the sandbox. A successful message should pop-up.
* Run project.
* Open a browser and access the URL **http://localhost:8081/**. You should see the demo application deployed.


## Run the Demo

### Send-Receive-ACK a message

* Complete content field and click on **Send** button. Message will be sent to the configured queue.
* Pop-up with a successful message will appear. Message ID will be populated with the value associated to the sent message.
* Click on **ACK message** button.
* Pop-up with a successful message will appear.
